Subject: Re: mmotm 2014-03-10-15-35 uploaded (virtio_balloon)

From: Randy Dunlap <[email-masked]>
Date: Tue, 11 Mar 2014 10:12:18 -0700

On 03/10/2014 03:37 PM, [email-masked] wrote:
> The mm-of-the-moment snapshot 2014-03-10-15-35 has been uploaded to
> 
>    http://www.ozlabs.org/~akpm/mmotm/
> 
> mmotm-readme.txt says
> 
> README for mm-of-the-moment:
> 
> http://www.ozlabs.org/~akpm/mmotm/
> 
> This is a snapshot of my -mm patch queue.  Uploaded at random hopefully
> more than once a week.
> 
> You will need quilt to apply these patches to the latest Linus release (3.x
> or 3.x-rcY).  The series file is in broken-out.tar.gz and is duplicated in
> http://ozlabs.org/~akpm/mmotm/series
> 
> The file broken-out.tar.gz contains two datestamp files: .DATE and
> .DATE-yyyy-mm-dd-hh-mm-ss.  Both contain the string yyyy-mm-dd-hh-mm-ss,
> followed by the base kernel version against which this patch series is to
> be applied.
> 
> This tree is partially included in linux-next.  To see which patches are
> included in linux-next, consult the `series' file.  Only the patches
> within the #NEXT_PATCHES_START/#NEXT_PATCHES_END markers are included in
> linux-next.
> 

on x86_64:

ERROR: "balloon_devinfo_alloc" [drivers/virtio/virtio_balloon.ko] undefined!
ERROR: "balloon_page_enqueue" [drivers/virtio/virtio_balloon.ko] undefined!
ERROR: "balloon_page_dequeue" [drivers/virtio/virtio_balloon.ko] undefined!

when loadable module

or

virtio_balloon.c:(.text+0x1fa26): undefined reference to `balloon_page_enqueue'
virtio_balloon.c:(.text+0x1fb87): undefined reference to `balloon_page_dequeue'
virtio_balloon.c:(.text+0x1fdf1): undefined reference to `balloon_devinfo_alloc'

when builtin.

-- 
~Randy